%define version 1.1.1
%define release %mkrel 1

Name:		dirmngr
Version:	%{version}
Release:	%{release}
Summary:	Client for Managing/Downloading CRLs
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	libgcrypt-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	libksba-devel
BuildRequires:	libassuan-devel
BuildRequires:	libpth-devel
Buildrequires:	openldap-devel
BuildRequires:	texinfo
BuildRequires:	tetex-latex

%description
Dirmngr is a client for managing and downloading certificate revocation
lists (CRLs) for X509 certificates and for downloading the certificates
themselves. Dirmngr is usually invoked by gpgsm and in general not used
directly.

%prep
%setup -q

%build
%configure2_5x --localstatedir=%{_var}

%make

make -C doc pdf

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/dirmngr
mkdir -p %{buildroot}%{_sysconfdir}/dirmngr/trusted-certs
mkdir -p %{buildroot}%{_var}/run/dirmngr
mkdir -p %{buildroot}%{_var}/cache/dirmngr/crls.d
mkdir -p %{buildroot}%{_var}/lib/dirmngr/extra-certs

%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS doc/dirmngr.pdf
%dir %{_sysconfdir}/dirmngr
%dir %{_sysconfdir}/dirmngr/trusted-certs
%{_bindir}/*
%{_infodir}/*.info*
%{_libexecdir}/dirmngr_ldap
%{_var}/run/dirmngr
%{_var}/cache/dirmngr
%{_var}/lib/dirmngr
#%{_datadir}/doc/dirmngr
%{_mandir}/man1/dirmngr-client.*
%{_mandir}/man1/dirmngr.*

%changelog
* Sun Jul 07 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.1.1-1pclos2013
- 1.1.1

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 1.1.0-1pclos2010
- 1.1.0

